Skip to main content

Beergarden Application

Project description

This is the Beer-garden application backend.

PyPI Build Status Code Coverage

Getting Started

Pre-requisites

  • Python >= 3.7

  • pip

  • Connectivity to MongoDB Server - (Tested on 3.4)

  • Connectivity to Rabbitmq-Server - (Tested on 3.6)

Get Up and Running

When installed from pip you can simply:

$ beer-garden -c /path/to/config.json

These are the minimum required steps once you have all the pre-requisites up and running.

$ git clone https://github.com/beer-garden/beer-garden.git
$ cd src/app
$ pip install -r requirements.txt
$ ./bin/app.sh

There are several plugins that are loaded by default. You can view them in the UI.

Testing

Running the tests:

$ make test

Generating coverage:

$ make coverage

Linting:

$ make lint

Credits

  • Doug Hellmann (@doughellmann) - Doug originally owned the bartender name but was willing to allow us to have it so that we didn’t have to change a lot of documentation back when the application needed the name. Thanks very much Doug!

Project details


Download files

Download the file for your platform. If you're not sure which to choose, learn more about installing packages.

Source Distribution

beer-garden-3.16.1.tar.gz (140.6 kB view hashes)

Uploaded source

Built Distribution

beer_garden-3.16.1-py2.py3-none-any.whl (183.9 kB view hashes)

Uploaded py2 py3

Supported by

AWS AWS Cloud computing Datadog Datadog Monitoring Facebook / Instagram Facebook / Instagram PSF Sponsor Fastly Fastly CDN Google Google Object Storage and Download Analytics Huawei Huawei PSF Sponsor Microsoft Microsoft PSF Sponsor NVIDIA NVIDIA PSF Sponsor Pingdom Pingdom Monitoring Salesforce Salesforce PSF Sponsor Sentry Sentry Error logging StatusPage StatusPage Status page